From f1b3711aed166ac6ab1f4c18201ea6fbd9f48fc3 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <zajec5@gmail.com>
Date: Wed, 3 Jun 2009 19:56:27 +0200
Subject: [PATCH] AtomBIOS: add pixel clock's ucFracFbDiv to debugging messages

---
 src/rhd_atombios.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/rhd_atombios.c b/src/rhd_atombios.c
index c055c6c..f3047f2 100644
--- a/src/rhd_atombios.c
+++ b/src/rhd_atombios.c
@@ -2446,13 +2446,14 @@ rhdAtomSetPixelClock(atomBiosHandlePtr handle, enum atomPxclk PCLKId, struct ato
 		ps.pclk_v2.ucMiscInfo |= (atomGetDevice(handle, Config->u.v2.Device)
 					  << MISC_DEVICE_INDEX_SHIFT);
 	    RHDDebug(handle->scrnIndex,"%s Device: %i PixelClock: %i RefDiv: 0x%x FbDiv: 0x%x PostDiv: 0x%x "
-		     "PLL: %i Crtc: %i MiscInfo: 0x%x\n",
+		     "FracFbDiv: %i PLL: %i Crtc: %i MiscInfo: 0x%x\n",
 		   __func__,
 		   Config->u.v2.Device,
 		   ps.pclk_v2.usPixelClock,
 		   ps.pclk_v2.usRefDiv,
 		   ps.pclk_v2.usFbDiv,
 		   ps.pclk_v2.ucPostDiv,
+		   ps.pclk_v2.ucFracFbDiv,
 		   ps.pclk_v2.ucPpll,
 		   ps.pclk_v2.ucCRTC,
 		   ps.pclk_v2.ucMiscInfo
@@ -2539,13 +2540,14 @@ rhdAtomSetPixelClock(atomBiosHandlePtr handle, enum atomPxclk PCLKId, struct ato
 		| (Config->u.v3.UsePpll ?  PIXEL_CLOCK_MISC_USE_ENGINE_FOR_DISPCLK : 0x0)
 		| ((Config->Crtc == atomCrtc2) ? PIXEL_CLOCK_MISC_CRTC_SEL_CRTC2 : PIXEL_CLOCK_MISC_CRTC_SEL_CRTC1);
 
-	    RHDDebug(handle->scrnIndex,"%s PixelClock: %i RefDiv: 0x%x FbDiv: 0x%x PostDiv: 0x%x PLL: %i OutputType: %x "
-		   "EncoderMode: %x MiscInfo: 0x%x\n",
+	    RHDDebug(handle->scrnIndex,"%s PixelClock: %i RefDiv: 0x%x FbDiv: 0x%x PostDiv: 0x%x FracFbDiv: %i PLL: %i "
+		   "OutputType: %x EncoderMode: %x MiscInfo: 0x%x\n",
 		   __func__,
 		   ps.pclk_v3.usPixelClock,
 		   ps.pclk_v3.usRefDiv,
 		   ps.pclk_v3.usFbDiv,
 		   ps.pclk_v3.ucPostDiv,
+		   ps.pclk_v3.ucFracFbDiv,
 		   ps.pclk_v3.ucPpll,
 		   ps.pclk_v3.ucTransmitterId,
 		   ps.pclk_v3.ucEncoderMode,
-- 
1.6.0.2

